#
# spec file for package liblcms (Version 1.07)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         liblcms
Copyright:    GPL
Group:        Development/Libraries
Summary:      little cms engine
Version:      1.07
Release:      88
Source0:      lcms-%{version}.tar.bz2
Patch0:       lcms-%{version}.dif
Patch1:       big_endian.dif

%description
This is a small engine to do some color management work.

Authors:
--------
    Marti Maria <martim@abaforum.es>

SuSE series: gra

%prep
%setup -n lcms-1.07
%{?suse_update_config:%{suse_update_config -f . }}
%patch0
%ifarch ppc s390 s390x sparc
%patch1
%endif

%build
rm -f source/lcms.h
# export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
# ./configure --prefix=/usr
  
sh -x install.gcc
cd profiles
../testbed/testcms

%install
# make install
cp -a doc %{_defaultdocdir}/liblcms/
rm -rf /usr/share/liblcms/
mkdir -p /usr/share/liblcms/
cp -a profiles /usr/share/liblcms/

%files
%doc COPYING AUTHORS README doc
%dir /usr/include/lcms
/usr/share/liblcms/
/usr/include/lcms/icc34.h
/usr/include/lcms/lcms.h
/usr/lib/liblcms.a
/usr/lib/liblcms.so
/usr/lib/liblcms.so.1
/usr/lib/liblcms.so.1.0.7

%changelog -n liblcms
* Mon Jul 16 2001 - adrian@suse.de
- compile with -fPIC (fixed by kraxel)
* Fri Jun 15 2001 - adrian@suse.de
- add s390x to big_endian
* Sun Mar 25 2001 - adrian@suse.de
- update to 1.07. no libtool support anymore in the package :-(
* Wed Feb 28 2001 - ro@suse.de
- don't talk about long if a 32bit type is desired ...
* Fri Feb 09 2001 - bk@suse.de
- configure fixed to proper use of RPM_OPT_FLAGS
- fixed filelist (remove obsolete %%docdirs that are in aaa_base)
- move update_config macro to %%prep, before patches(is preparing)
* Wed Nov 29 2000 - adrian@suse.de
- comment out PACKAGE and VERSION in lcms.h. this had break every
  configure test.
* Wed Oct 04 2000 - adrian@suse.de
- Spec file created from lcms-1.06.tar.bz2 by autospec
